use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


# a, b, c を含む集合を作成
$redis->sadd(key => qw(a b c));

# 'a'が集合に含まれるか
is $redis->sismember('key', 'a'), 1;

# ランダム選択
$redis->sadd(myset=>qw(one two three));
my $v = $redis->srandmember('myset');
ok $v eq 'one' || $v eq 'two' || $v eq 'three', $v;

done_testing;
