use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


use Redis::LeaderBoard;
my $lb = Redis::LeaderBoard->new(
    redis => $redis,
    key   => 'leader_board:1',
    order => 'asc', # asc/desc
);
$lb->set_score(one => 100);
$lb->set_score(two =>  50);
my ($rank, $score) =
    $lb->get_rank_with_score('one');

is $rank, 2;
is $score, 100;

done_testing;
