use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


# キー名のルールを決める
use Redis::Key;
my $user = Redis::Key->new(
    redis     => $redis,
    key       => 'user:{id}',
    need_bind => 1,
);

# キー名にIDを埋め込む
my $key = $user->bind(id => 123);

# $redis->set('user:123', 'value');
$key->set('value');

# $redis->get('user:123');
is $key->get, 'value';

done_testing;
